1. **Операционная система** - программное обеспечение, управляющее аппаратными ресурсами и предоставляющее прикладным программам удобные абстракции ^bd03ae
	- Как *менеджер ресурсов* - управляет ресурсами, отслеживая их состояние и планируя их использование. 
	  Виды ресурсов:
		- вычислительные ресурсы (ЦП)
		- оперативная память и уст-ва долговременного хранения данных (жесткий диск и т.д.)
		- устройства ввода/вывода
		- сетевые соединения
	- Как *виртуальная машина* - выполняет абстрагирование аппаратного обеспечения до уровня логических ресурсов ОС с четко определенными интерфейсами. Поддерживает абстракции, которых не существует на аппаратном уровне.
		- Аппаратные ресурсы - абстракции ОС
		- Жёсткий диск - ФС
		- Принтеры - очередь печати
		- ЦП - поток
		- ОЗУ - процесс

2. [[#^bd03ae|ОС]] формирует **операционную среду** - среду выполнения ПО
	Условия выполнения программ: ^ed3cc0
	- Мн. команд ЦП, доступное ПО
	- Мн. сис. функ. ОС, доступное ПО
	- Тип и структура ВАП (Виртуальное Адресное Пространство) ПО, использующей модель адресации

3. **Spool** - одновременное выполнение нескольких операций в переферии

4. **Многозадачность** - свойство ОС, позволяющее обрабатывать несколько задач параллельно.
	В ОЗУ загружаются несколько процессов. IO одного процесса выполняется параллельно с вычислениями другой
	Цель - оптимизация пропускной способности системы

	**ОС разделения времени** - подход, который требуется для интерактивной работы, при котором у одной ЭВМ несколько терминалов и каждый пользователь считает, что ему польностью выделена вычислительная система
	Для её реализации, была создана идея разделения времени - *Timeslicing*. Задачи:
	 - Распределение времени ЦП равномерно между пользователями
	 - Если задача интерактивная, нужно переключаться между пользователями и ПО быстрее, чем пользователи производят ввод
	 - Пользователи могут интерактивно просматривать, редактировать и отдаэивать выполняющиеся программы

5. Классификация ОС по назначению:
	- Системы пакетной обработки (максимальная пропускная способность)
	- Системы разделения времени (удобство и эффективность работы пользователя)
	- ОС реального времени (способность выдерживать заданные интервалы времени между возникновением события и завершения его обработки)

6. По режиму обработки задач:
	- По поддержке многозадачности
		- однозадачные
		- многозадачные
	- По поддержке многопоточности
	- По поддержке многопроцессорной обработки

7. По организации пользовательской работы
	- Однопользовательские и многопользовательские
	- Односессионные и многосессионные

8. **Монолитная архитектура ОС** - система, построенная с помощью монолитного ядра
	**Монолитное ядро** - множество процедур, которые
	 - выполняются на одном уровне привелегий
	 - используют одно множество данных
	 - вызывают друг друга непосредственно (без спец. механизмов)

9. **Многослойная (уровневая) архитектура ОС** - ОС разбивается на несколько компонентов, между которыми выстраивается вертикальная архитектура (каждый компонент может взаимодействовать только со своими соседями)

10. **Микроядерная архитектура ОС** - архитектура, основная идея которой минимизация объёма кода, выполняющегося на уровне ядра. На микроядре реализуют минимальный функционал ОС. Всё остальное - прикладные программы
	*Плюсы*:
	- понятная архитектура
	- устойчивая система
	- возможность скомпоновать ОС под определённые нужны
	
	*Минусы*:
	- низкая производительность
	- медленная работа из-за переходов между компонентами через ядро

11. **Архитектура, основанная на ВМ** - архитектура, основная идея которой является то, что ОС поддерживает отдельные копии [[#^ed3cc0|операционных сред]] для разных работающих приложений (для разделение работы)
	Позже появилась поддержка аппаратного виртуального обеспечения, которое произволится с помощью специального ПО
	*Плюсы*:
	 - падение одного приложение не повлечёт отказ остальных
	*Минусы*:
	 - низкая производительность реальной ОС при IO-операциях

	**Паравиртуализация** - идея, суть которой в том, что при выполнении некоторого набора операций ОС, работающая на ВМ, напрямую вызывает хостовую ОС, которая работает с реальным аппаратным обеспечением
	*Ограничение*: хостовая и гостевая ОС должны быть одинаковыми
12. 